Get a stock transfer
GET
Returns one stock transfer with its source and destination locations and item lines.
BearerAuthheader
AuthorizationBearer <JWT>id*stringID of the record (UUID).
Format
uuidOK
*/*- response
status*stringOutcome of the call: SUCCESS when the request worked, ERROR when it did not.
message*stringShort human-readable message describing the result, for logs or display; do not parse it.
data?The stock transfer as it now stands, with its item lines and quantity totals.
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/inventory/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "status": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "transferNumber": "string", "transferType": "VAN_LOADING", "fromLocationId": "178bb398-90d2-4fc3-a4a0-37fc0eed2806", "fromLocationName": "string", "toLocationId": "e81ad314-9cb9-45ae-9ad9-f1b5ebcc7aae", "toLocationName": "string", "status": "DRAFT", "referenceId": "8502eb05-558d-4480-8511-c1011710b340", "referenceType": "string", "transferDate": "2019-08-24", "expectedReceiptDate": "2019-08-24", "confirmedBy": "string", "confirmedAt": "2019-08-24T14:15:22Z", "receivedBy": "string", "receivedAt": "2019-08-24T14:15:22Z", "notes": "string", "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "itemId": "string", "itemName": "string", "requestedQty": 0, "dispatchedQty": 0, "receivedQty": 0, "varianceQty": 0, "unitCost": 0, "notes": "string" } ], "totalItems": 0, "totalRequestedQty": 0, "totalDispatchedQty": 0, "totalReceivedQty": 0, "totalVarianceQty": 0, "createdAt": "2019-08-24T14:15:22Z" }}